# Content Factory

> <mark style="color:blue;">**EVENT**</mark>
>
> ContractsDeployed(content, contentManager)

| ContractsDeployed(address content, address contentManager)                                     |
| ---------------------------------------------------------------------------------------------- |
| Event emitted when the <mark style="color:blue;">`createContracts`</mark>  function is called. |

> <mark style="color:blue;">**FUNCTIONS**</mark>
>
> updateContracts(\_content, \_contentManager, \_contentStorage, \_accessControlManager)
>
> contentExists(\_content)
>
> contentManagerExists(\_contentManager)
>
> createContracts(\_contractRoyaltyAccount, \_contractRoyaltyRate, \_contractUri)

| updateContracts(address \_content, address \_contentManager, address \_contentStorage, address \_accessControlManager) |
| ---------------------------------------------------------------------------------------------------------------------- |
| Updates contract implementations with `_content`, `_contentManager`, `_contentStorage`, and `accessControlManager`.    |
| <p>Requirements:</p><ul><li>Address parameters cannot be address zero.</li></ul>                                       |
| visibility: public                                                                                                     |
| state mutability:                                                                                                      |

| contentExists(address \_content) -> bool               |
| ------------------------------------------------------ |
| Queries whether the contract address`_content` exists. |
| visibility: public                                     |
| state mutability: view                                 |

| contentManagerExists(address \_contentManager) -> bool         |
| -------------------------------------------------------------- |
| Queries whether the contract address `_contentManager` exists. |
| visibility: public                                             |
| state mutability: view                                         |

| createContracts(address \_contractRoyaltyAccount, uint24 \_contractRoyaltyRate, string \_contractUri) |
| ----------------------------------------------------------------------------------------------------- |
| Deploys new content contracts onto the blockchain and initializes the contract royalties and uri.     |
| Emits a `ContractsDeployed` event.                                                                    |
| visibility: external                                                                                  |
| state mutability:                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rawrshak.io/developers/smart-contracts/content-contracts/content-factory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
